Subject: bug#29397: 26.0.90; regression: `C-h l' from `edit-kbd-macro' raises error

From: Drew Adams <[email-masked]>
Date: Sat, 28 Sep 2019 18:02:31 -0700 (PDT)

> >> Get error:
> >>
> >>  Macros with mouse clicks are not supported by this command
> >>
> >> Sometimes I do not see this problem, but most of the time I do.
> >> There is no such problem with Emacs 24.5 or prior, at least.
> >
> > I can get this error with the following (also in 24.5):
> >
> > emacs -Q
> >
> > <click somewhere>
> > M-x edit-kbd-macro
> > C-h l
> >
> > I guess the times when you see the problem are when the lossage
> > happens to include a mouse click?
> 
> I can't reproduce this on current master with the above recipe.  Are you
> still seeing this?

Yes. I just tried it with `emacs -Q' with Emacs 26.3.  (I can't speak for master.)

The first time I tried the recipe I did not get the error; `C-h l' acted normally.

I followed the recipe again, in the same session, having done nothing in the meantime, I believe, and I got the error.  The second time I followed the recipe I used `C-b C-b C-b', but otherwise I did the same thing.

I think you just have to try a few times and you will see the error.  At least if you have the MS Windows Emacs 26.3 build (64-bit).  That's what I'm using.